From 9db41719942f5499cb52b2085003deb92f1ca623 Mon Sep 17 00:00:00 2001
From: anserper <anserper>
Date: Thu, 20 Nov 2008 01:00:20 +0000
Subject: [PATCH] Branch b1_6 b=17371 i=Johann Lombardi

testcase for 17371
---
 lustre/tests/sanity.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index e14d453e82..61b1a0ff17 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -5530,6 +5530,19 @@ test_140() { #bug-17379
 }
 run_test 140 "Check reasonable stack depth (shouldn't LBUG) ===="
 
+test_141() {
+        local ls
+        #define OBD_FAIL_MGC_PAUSE_PROCESS_LOG   0x903
+        $LCTL set_param fail_loc=0x903
+        # cancel_lru_locks mgc - does not work due to lctl set_param syntax
+        for ls in /proc/fs/lustre/ldlm/namespaces/MGC*/lru_size; do
+                echo "clear" > $ls
+        done
+        cleanup || error "failed to cleanup"
+        setup || error "failed to setup"
+}
+run_test 141 "umount should not race with any mgc requeue thread"
+
 TMPDIR=$OLDTMPDIR
 TMP=$OLDTMP
 HOME=$OLDHOME
-- 
GitLab